package com.yeejoin.equipmanage.mapper;

import com.yeejoin.equipmanage.common.vo.EquipmentAccountAccVo;
import com.yeejoin.equipmanage.common.vo.EquipmentAccountCarVo;
import com.yeejoin.equipmanage.common.vo.EquipmentAccountFilterVo;
import com.yeejoin.equipmanage.common.vo.EquipmentAccountVo;
import com.yeejoin.equipmanage.common.vo.EquipmentHistoryVo;

import java.util.List;
import java.util.Map;

/**
 * 接口
 *
 * @author zjw
 * @date 2020-09-17
 */
public interface EquipmentAccountMapper {
    List<EquipmentAccountFilterVo> getNameList(String id);
    List<EquipmentAccountVo> getAccounList(Map<String,Object> map);
    int  getAccounListCount(Map<String,Object> map);

    List<EquipmentAccountCarVo> getMoreCarList(Map<String,Object> map);
    int  getMoreCarListCount(Map<String,Object> map);


    List<EquipmentAccountAccVo> getMoreAccList(Map<String,Object> map);
    int  getMoreAccListCount(Map<String,Object> map);

    List<EquipmentHistoryVo> selectHistoryById(Long id );


    String  getaccData(Long id);
    List<EquipmentHistoryVo> selectAccHistoryById(Long id );

    String  getaccId(Long id);

}
